Posts filter multiselectをアップデート予定!

投稿一覧ページ向けのプラグイン「Posts filter multiselect」をアップデートする予定です。

主な理由はWordPress 5.7で同梱されているjQueryもアップデートされたこと。Posts filter multiselectでは「jQuery MultiSelect UI Widget 1.13(jquery.multiselect.min.js)」を利用してプルダウンメニューの複数選択を実現していますが、今回のアップデートではWordPress 5.5以降では独自実装に切り替え、jQueryで非推奨になっている機能を使用しないように調整します。機能面はほぼ同等ですが、いくつかキー操作を追加しています。

本リリースは水曜のWordPress 5.7.1のリリースに合わせる予定で、それまでいくつかの最新ブラウザで動作検証するつもりです。